      SUBROUTINE HZXML(IFLAG)
c
c     Write out general MC parameters in XML format (??? not needed? do all in MC-specific routines?) 
c
c     IFLAG = 1 for start of XML file, 2 for end
c
      IMPLICIT  NONE

      INTEGER IFLAG,IUNIT
      parameter (iunit=12)

c     File stem for output files
      CHARACTER*80 stem

      
c     Function to find number of occupied characters in a string (KERNLIB)
      INTEGER lenocc

      if (IFLAG.EQ.1) then
c       File stem is first command-line argument
        call GETARG(1,stem)
c       Open file for XML output
        open(UNIT=iunit,FILE=stem(1:LENOCC(stem))//'.xml',status='NEW')

c     write(iunit,*) JMB need to do this with a fortran statement,
c     otherwise you get a leading space which makes JDOM barf (!)
        write(iunit,1000) 
 1000   FORMAT('<?xml version="1.0" encoding="ISO-8859-1" ?>')
        write(iunit,*) '<mcdata xmlns:xsi="http://www.w3.org/'//
     &       '2001/XMLSchema-instance"'//
     &       'xsi:noNamespaceSchemaLocation="mcdata.xsd">'
        write(iunit,*) ' <reaction>'
        write(iunit,*) '   <collision>'
        write(iunit,*) '   </collision>'
        write(iunit,*) ' </reaction>'
        write(iunit,*) ' <generatorSettings>'
      elseif (IFLAG.EQ.2) then
        write(iunit,*) ' </generatorSettings>'
        write(iunit,*) '</mcdata>'
        write(iunit,*)
        close(unit=iunit)
      endif

      RETURN
      END
